Developers
API ReferenceTask Checklist

Set leader af TaskChecklist

PATCH
/project/task-checklists/{id}/set-leader

Set leader af TaskChecklist

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

TaskChecklist identifier

Request Body

The updated TaskChecklist resource

TypeScript Definitions

Use the request body type in TypeScript.

leader?|
Formatuuid

Response Body

curl -X PATCH "https://example.com/project/task-checklists/string/set-leader" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "weight": 0,  "taskChecklistItems": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "isChecked": true,      "weight": 0    }  ],  "leader": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  }}